A guide to using Panda
<<< Previous |  | Next >>>

# panda_addquadraticcurvesegmenttwo

## Name

panda_addquadraticcurvesegmenttwo -- add a curved segment to the line shape that we are drawing

## Synopsis

     #include<panda/constants.h>
     #include<panda/functions.h>
     void panda_addquadraticcurvesegmenttwo (panda_page * target, int x, int y, int cx1, int cy1);

## DESCRIPTION

This function adds a curved segment to the line shape that we are drawing. The curved segment has a control point, namely (cx1, cy1). This call creates slightly different curves from panda_addquadraticcurvesegmentone();

## RETURNS

Nothing

## EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_page *page; panda_init(); document = panda_open("filename.pdf", "w"); page = panda_newpage (document, panda_pagesize_a4); panda_setlinestart (page, 100, 200); panda_addquadraticcurvesegmenttwo (page, 200, 200, 12, 32);

## SEE ALSO

panda_setlinestart, panda_addlinesegment, panda_addcubiccurvesegment, panda_addquadraticcurvesegmenttwo, panda_closeline, panda_rectangle, panda_endline, panda_strokeline, panda_fillline, panda_setlinewidth, panda_setlinecap, panda_setlinejoin, panda_setlinedash, panda_setfillcolor, panda_setlinecolor

## VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

## AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

## BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.

<<< Previous | Home | Next >>>
panda_addquadraticcurvesegmenttwo.sgml | Up | panda_centerwindow.sgml